QGIS Application - Bug report #977
Ineffective adding of features in Postgres provider
2008-03-06 01:29 PM - Martin Dobias

Status: Closed
Priority: Low
Assignee: Jurgen Fischer
Category: Data Provider

Affected QGIS version:
Operating System: All
Pull Request or Patch supplied:

Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 11036

Description

addFeatures() function in Postgres provider works by adding one feature after other in separate queries. With greater amount of features
to add this actions takes quite long time (reported that 3000 features with 35 columns lasts about 10 minutes).

When adding all features at once, the most of the time could be saved.

History

#1 - 2008-03-12 02:06 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

#2 - 2008-03-20 04:55 AM - Jiirgen Fischer

fixed in commit:2ea7615b (SVN r8214)

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
